Subject: Re: GDB problem
From: "Bryan Rosenburg"<[email-masked]>

9 Jul 1997 06:58:36 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Lotus-FromDomain: IBM RESEARCH
Original-To: [email-masked]
Original-cc: [email-masked], [email-masked]
Original-Sender: [email-masked]

I wrote:
> On four of our Windows-95 machines, a simple "gdb -nw" followed
> by "quit" results in an "illegal operation" error but has no other ill
> effects.  But on the fifth machine, the same sequence consistently
results
> in gdb hanging in an unkillable state and consuming 90% or more of the
CPU.

The gdb hanging problem turned out to be of our own making.  On the problem
machine we had a "default application debugger" (not gdb) installed, but
the
debugger was misconfigured.  When gdb generated its illegal operation on
exit
(which it always does), the system went into a loop trying to invoke the
debugger executable which wasn't where it was supposed to be.  With no
default debugger installed, gdb's illegal operation on exit is benign.

With this problem solved, gdb in b18 has been quite stable and useful.

Bryan Rosenburg
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".